package cn.tsy.data.idsse.dsds.model.dict;

import cn.hme.framework.bean.HmeBean;
import cn.hme.framework.jdbc.annotation.HmeTable;
import java.time.LocalDateTime;

/**********************************************
 * 字典-平台类型
 * 
 * @author: zxq
 * @date: 2024-05-13 12:19:19
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmesoft.cn
 */
@HmeTable(name = "DICT_PLATFORM", key = "TSY_ID")
public class DictPlatform extends HmeBean {
	private static final long serialVersionUID = 7034252923039748075L;
	private Integer tsy_id;
	//平台类型名称
	private String platform_name;
	//平台分组
	private String platform_group;
	//英文名称
	private String platform_eng;
	//别名
	private String platform_alias;
	//备注信息
	private String platform_remark;
	//创建时间
	private LocalDateTime create_time;
	//排序信息
	private Integer platform_order;

	public Integer getTsy_id() {
		return this.tsy_id;
	}

	public void setTsy_id(Integer tsy_id) {
		this.tsy_id = tsy_id;
	}

	/****
	 * 平台类型名称
	 */
	public String getPlatform_name() {
		return this.platform_name;
	}

	/****
	 * 平台类型名称
	 */
	public void setPlatform_name(String platform_name) {
		this.platform_name = platform_name;
	}

	/****
	 * 平台分组
	 */
	public String getPlatform_group() {
		return this.platform_group;
	}

	/****
	 * 平台分组
	 */
	public void setPlatform_group(String platform_group) {
		this.platform_group = platform_group;
	}

	/****
	 * 英文名称
	 */
	public String getPlatform_eng() {
		return this.platform_eng;
	}

	/****
	 * 英文名称
	 */
	public void setPlatform_eng(String platform_eng) {
		this.platform_eng = platform_eng;
	}

	/****
	 * 别名
	 */
	public String getPlatform_alias() {
		return this.platform_alias;
	}

	/****
	 * 别名
	 */
	public void setPlatform_alias(String platform_alias) {
		this.platform_alias = platform_alias;
	}

	/****
	 * 备注信息
	 */
	public String getPlatform_remark() {
		return this.platform_remark;
	}

	/****
	 * 备注信息
	 */
	public void setPlatform_remark(String platform_remark) {
		this.platform_remark = platform_remark;
	}

	/****
	 * 创建时间
	 */
	public LocalDateTime getCreate_time() {
		return this.create_time;
	}

	/****
	 * 创建时间
	 */
	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}

	/****
	 * 排序信息
	 */
	public Integer getPlatform_order() {
		return this.platform_order;
	}

	/****
	 * 排序信息
	 */
	public void setPlatform_order(Integer platform_order) {
		this.platform_order = platform_order;
	}

}